package net.javajigi.user.web;

import static org.junit.Assert.assertNotNull;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.support.MessageSourceAccessor;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations={"/applicationContext.xml", "/applicationContext-jdbc.xml"})
public class MessageSourceAccesorTest {
	private static Log log = LogFactory.getLog(MessageSourceAccesorTest.class);
	
	private MessageSourceAccessor messageSource;
	
	@Autowired
	public void setMessageSource(MessageSourceAccessor messageSource) {
		this.messageSource = messageSource;
	}

	@Test
	public void getMessage() {
		String message = messageSource.getMessage("user.existed.exception", new Object[] {"javajigi"});
		
		assertNotNull(message);
		if (log.isDebugEnabled()) {
			log.debug("Message : " + message);
		}
	}
}
